Bug 1258529 - Using Worker22 on RHEL-7 [mod_cluster segfaults]
Summary: Using Worker22 on RHEL-7 [mod_cluster segfaults]
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: JBoss Enterprise Web Server 2
Classification: JBoss
Component: httpd, mod_cluster
Version: 2.1.0
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: DR02
: 2.1.1
Assignee: Jean-frederic Clere
QA Contact: Michal Karm Babacek
URL:
Whiteboard:
Depends On:
Blocks: 1338652
TreeView+ depends on / blocked
 
Reported: 2015-08-31 14:44 UTC by Patrick
Modified: 2019-08-15 05:16 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1338652 (view as bug list)
Environment:
Last Closed: 2019-06-13 12:20:02 UTC
Type: Bug


Attachments (Terms of Use)
last coredumps provided by customer (1.65 MB, application/zip)
2015-08-31 14:44 UTC, Patrick
no flags Details

Description Patrick 2015-08-31 14:44:03 UTC
Created attachment 1068664 [details]
last coredumps provided by customer

Description of problem:

We have a case where the customer is using worker22 on RHEL 7 as a service and having repeated segfaults that are erratic in their failure point making it hard to identify why. Can you please provide some assistance with that analysis.

Version-Release number of selected component (if applicable):

httpd22-2.2.26-37.ep6.el7.x86_64
httpd22-tools-2.2.26-37.ep6.el7.x86_64
httpd22-debuginfo-2.2.26-37.ep6.el7.x86_64


How reproducible:

Customer is using a custom service in order to make worker22 work on RHEL-7

===
mkdir -p /etc/systemd/system/httpd22.service.d/
cat > /etc/systemd/system/httpd22.service.d/local.conf << EOF
[Service]
ExecStart=
ExecStart=/lib64/ld-linux-x86-64.so.2 \$HTTPD \$OPTIONS -DFOREGROUND
EOF

systemctl daemon-reload
service httpd22 restart
===


Steps to Reproduce:

1.
2.
3.

Actual results:


Expected results:


Additional info:


Note You need to log in before you can comment on or make changes to this bug.